This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 210553 - Review Request: xerces-c - Validating XML Parser
Review Request: xerces-c - Validating XML Parser
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Package Reviews List
:
: 216129 251492 (view as bug list)
Depends On:
Blocks: FE-ACCEPT glest
  Show dependency treegraph
 
Reported: 2006-10-12 16:23 EDT by Peter Lemenkov
Modified: 2011-05-05 11:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-25 13:03:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑cvs+


Attachments (Terms of Use)
Proposed spec changes (1.50 KB, text/x-patch)
2006-10-13 04:45 EDT, Ralf Corsepius
no flags Details

  None (edit)
Description Peter Lemenkov 2006-10-12 16:23:04 EDT
Spec URL: http://lemenkov.newmail.ru/SPECS/xerces-c.spec
SRPM URL: http://lemenkov.newmail.ru/SRPMS/xerces-c-2.7.0-0.src.rpm

Description: Xerces-C is a validating XML parser written in a portable subset of
C++. Xerces-C makes it easy to give your application the ability to
read and write XML data. A shared library is provided for parsing,
generating, manipulating, and validating XML documents. Xerces-C is
faithful to the XML 1.0 recommendation and associated standards ( DOM
1.0, DOM 2.0. SAX 1.0, SAX 2.0, Namespaces).

This spec-file based on work of Ralf Corsepius and Dag Wieers. 

I have something to discuss: there are samples in devel-package. Maybe it would be better to move 'em to the doc-package?
Comment 1 Ville Skyttä 2006-10-12 16:47:27 EDT
If the samples are what I think they are, they're arch specific executables 
and thus at least can't be installed in /usr/share.  In my local package, I 
put them in a -samples subpackage and /usr/bin.  Here's my SRPM for cross 
checking purposes, feel free to grab if you find something useful in it:
http://cachalot.mine.nu/6/SRPMS/xerces-c-2.7.0-0.3.cmn6.src.rpm
Comment 2 Peter Lemenkov 2006-10-13 03:48:34 EDT
Ok, thanks. I splitted devel-package to devel- and samples-package as it does in
your spec.
Comment 3 Ralf Corsepius 2006-10-13 04:42:17 EDT
(In reply to comment #2)
> Ok, thanks. I splitted devel-package to devel- and samples-package as it does in
> your spec.

Updated spec? Apart of this, this package's configuration is really trying its
best to obfuscate away its brokenness and the weaknesses of the code :(

MUSTFIX:
* Package doesn't acknowledge RPM_OPT_FLAGS
Comment 4 Ralf Corsepius 2006-10-13 04:45:21 EDT
Created attachment 138408 [details]
Proposed spec changes

I am proposing this patch to your spec.

It 
- removes a bogus "-w -O" from CFLAGS/CXXFLAGS, which overrides RPM_OPT_FLAGS
- changes the Makefiles to be more verbose and to reporting what they actually
do
Comment 5 Peter Lemenkov 2006-10-13 05:53:33 EDT
(In reply to comment #4)
> Created an attachment (id=138408) [edit]
> Proposed spec changes
> 
> I am proposing this patch to your spec.
> 
> It 
> - removes a bogus "-w -O" from CFLAGS/CXXFLAGS, which overrides RPM_OPT_FLAGS
> - changes the Makefiles to be more verbose and to reporting what they actually
> do
> 

Done.
New versions of spec and srpm:

http://lemenkov.newmail.ru/SPECS/xerces-c.spec
http://lemenkov.newmail.ru/SRPMS/xerces-c-2.7.0-1.src.rpm
Comment 6 Ralf Corsepius 2006-10-13 08:56:39 EDT
Some further remarks:

- A nasty typo had crept into your spec through my patch: search for "fine" and  
  replace it with "find", sorry.

- You should install the samples into %{_datadir}, instead of %{_prefix}/share

- %{_datadir}/%{_name} is unowned

- Building the samples after installation does not work. AFAIS, their
configuration needs to be prepared for building outside of the source tree, and
therefore would require further tweaks to make them buildable.

- /usr/share/xerces-c/samples/Projects contains VC project files. These are
meaningless on Fedora.

- rpmlint xerces-c-devel
W: xerces-c-devel summary-ended-with-dot Header files, libraries and development
documentation for xerces-c.

- xerces-c-samples contains code-examples. If you can get them buildable I'd let
it "Requires: xerces-c-devel", alternatively (esp. if you can't get them
buildable) you could consider to move them into the *-devel's docs.
Comment 7 Peter Lemenkov 2006-10-14 06:26:20 EDT
> - A nasty typo had crept into your spec through my patch: search for "fine" and 
>    replace it with "find", sorry.

Done.

> - You should install the samples into %{_datadir}, instead of %{_prefix}/share

Done.

> W: xerces-c-devel summary-ended-with-dot 

Fixed.

I disabled "samples" temporarily. I'm in doubts whether to ty make 'em buildable
(correctly set up XERCESROOT etc) or simply move samples-directory to doc-package.

New package and spec:

http://lemenkov.newmail.ru/SPECS/xerces-c.spec
http://lemenkov.newmail.ru/SRPMS/xerces-c-2.7.0-2.src.rpm
Comment 8 Ralf Corsepius 2006-11-17 09:28:22 EST
*** Bug 216129 has been marked as a duplicate of this bug. ***
Comment 9 Aurelien Bompard 2006-11-17 11:48:04 EST
Needs work:
* Use of buildroot is not consistant
  (wiki: PackagingGuidelines#UsingBuildRootOptFlags)
* Missing SMP flags. If it doesn't build with it, please add a comment
  (wiki: PackagingGuidelines#parallelmake)
* rpmlint:
  - strange-permission xerces-c.spec 0666 (in the src.rpm)
  - hidden dir : /usr/share/doc/xerces-c-doc-2.7.0/doc/html/resources/.svn
    (please clean it up in %%prep)

For what it's worth, I'd just move the samples to the doc package
Comment 10 Ville Skyttä 2006-11-18 04:55:10 EST
Note that if the built samples are shipped, they're arch dependent executables
and thus should not be installed in /usr/share no matter which package they're in.
Comment 11 Ville Skyttä 2006-11-18 04:58:38 EST
Build fails on x86_64 due to hardcoded /usr/lib paths somewhere:

RPM build errors:
    File not found by glob:
/var/tmp/xerces-c-2.7.0-2.cmn6-root-machbuild/usr/lib64/libxerces*.so.*
    File not found by glob:
/var/tmp/xerces-c-2.7.0-2.cmn6-root-machbuild/usr/lib64/libxerces*.so
Comment 12 Peter Lemenkov 2006-11-18 15:28:03 EST
(In reply to comment #9)
> Needs work:
> * Use of buildroot is not consistant
>   (wiki: PackagingGuidelines#UsingBuildRootOptFlags)

Done.

> * Missing SMP flags. If it doesn't build with it, please add a comment
>   (wiki: PackagingGuidelines#parallelmake)

Done.

> * rpmlint:
>   - strange-permission xerces-c.spec 0666 (in the src.rpm)

Done.

>   - hidden dir : /usr/share/doc/xerces-c-doc-2.7.0/doc/html/resources/.svn
>     (please clean it up in %%prep)

Done.

> For what it's worth, I'd just move the samples to the doc package

http://lemenkov.newmail.ru/SPECS/xerces-c.spec
http://lemenkov.newmail.ru/SRPMS/xerces-c-2.7.0-3.src.rpm
Comment 13 Aurelien Bompard 2006-11-20 09:41:49 EST
It looks like you forgot to add the samples to the doc subpackage (at least in
release 3)
Comment 14 Peter Lemenkov 2006-11-23 16:06:51 EST
Added samples, finally.

http://lemenkov.newmail.ru/SPECS/xerces-c.spec
http://lemenkov.newmail.ru/SRPMS/xerces-c-2.7.0-4.src.rpm

Unfortunately. rpmlint isn't silent now:

[petro@Sulaco ppc]$ rpmlint *
W: xerces-c-devel no-documentation
E: xerces-c-doc script-without-shebang
/usr/share/doc/xerces-c-doc-2.7.0/samples/configure.in
E: xerces-c-doc script-without-shebang
/usr/share/doc/xerces-c-doc-2.7.0/samples/config.h.in
W: xerces-c-doc doc-file-dependency
/usr/share/doc/xerces-c-doc-2.7.0/samples/config.guess /bin/sh
W: xerces-c-doc doc-file-dependency
/usr/share/doc/xerces-c-doc-2.7.0/samples/config.sub /bin/sh
W: xerces-c-doc doc-file-dependency
/usr/share/doc/xerces-c-doc-2.7.0/samples/configure /bin/sh
W: xerces-c-doc doc-file-dependency
/usr/share/doc/xerces-c-doc-2.7.0/samples/install-sh /bin/sh
W: xerces-c-doc doc-file-dependency
/usr/share/doc/xerces-c-doc-2.7.0/samples/runConfigure /bin/sh
[petro@Sulaco ppc]$ 

We can simply remove all these executable scripts from docs, but it complicates
building them (if anyone will).
Comment 15 Ville Skyttä 2006-11-23 16:13:50 EST
(In reply to comment #14)
> E: xerces-c-doc script-without-shebang
> /usr/share/doc/xerces-c-doc-2.7.0/samples/configure.in
> E: xerces-c-doc script-without-shebang
> /usr/share/doc/xerces-c-doc-2.7.0/samples/config.h.in

These should be trivially fixed with something like
    chmod -x samples/{config.h,configure}.in
in %prep.

> We can simply remove all these executable scripts from docs

A dependency on /bin/sh is not really a problem here IMO.
Comment 16 Peter Lemenkov 2006-11-25 06:23:04 EST
(In reply to comment #15)
> (In reply to comment #14)
> > E: xerces-c-doc script-without-shebang
> > /usr/share/doc/xerces-c-doc-2.7.0/samples/configure.in
> > E: xerces-c-doc script-without-shebang
> > /usr/share/doc/xerces-c-doc-2.7.0/samples/config.h.in
> 
> These should be trivially fixed with something like
>     chmod -x samples/{config.h,configure}.in
> in %prep.

Done.

> > We can simply remove all these executable scripts from docs
> 
> A dependency on /bin/sh is not really a problem here IMO.

OK.

http://lemenkov.newmail.ru/SPECS/xerces-c.spec
http://lemenkov.newmail.ru/SRPMS/xerces-c-2.7.0-5.src.rpm
Comment 17 Aurelien Bompard 2006-11-25 09:15:51 EST
Review for release 5:
* RPM name is OK
* Source xerces-c-src_2_7_0.tar.gz is the same as upstream
* Builds fine in mock
* rpmlints look OK
* File lists look OK
* Works fine

approved
Comment 18 Peter Lemenkov 2006-11-25 11:58:14 EST
Failed on x86_64, as already mentioned Ville Skyttä.

http://buildsys.fedoraproject.org/logs/fedora-development-extras/22298-xerces-c-2.7.0-5.fc7/x86_64/build.log

+ export DOCDIR
+ rm -rf
/var/tmp/xerces-c-2.7.0-5.fc7-root-mockbuild/usr/share/doc/xerces-c-doc-2.7.0
+ /bin/mkdir -p
/var/tmp/xerces-c-2.7.0-5.fc7-root-mockbuild/usr/share/doc/xerces-c-doc-2.7.0
+ cp -pr Readme.html LICENSE NOTICE STATUS credits.txt doc samples
/var/tmp/xerces-c-2.7.0-5.fc7-root-mockbuild/usr/share/doc/xerces-c-doc-2.7.0
+ exit 0
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Processing files: xerces-c-debuginfo-2.7.0-5.fc7
Provides: libxerces-c.so.27.0.debug()(64bit) libxerces-depdom.so.27.0.debug()(64bit)
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1


RPM build errors:
    File not found by glob:
/var/tmp/xerces-c-2.7.0-5.fc7-root-mockbuild/usr/lib64/libxerces*.so.*
    File not found by glob:
/var/tmp/xerces-c-2.7.0-5.fc7-root-mockbuild/usr/lib64/libxerces*.so

Comment 19 Aurelien Bompard 2006-11-25 12:05:05 EST
The perl line in %prep was supposed to fix this. Now I realize there is a typo
in this line : there is a w at the end of the line which should be removed.
Comment 20 Peter Lemenkov 2006-11-25 13:03:52 EST
Done. Successfully built in devel.

Thanks for review.

Comment 21 Peter Lemenkov 2007-08-09 09:23:23 EDT
Package Change Request
======================
Package Name: xerces-c
New Branches: EL-4 EL-5
Comment 22 Peter Lemenkov 2007-08-09 09:26:13 EDT
*** Bug 251492 has been marked as a duplicate of this bug. ***
Comment 23 Kevin Fenzi 2007-08-09 17:18:40 EDT
cvs done.
Comment 24 Peter Lemenkov 2010-01-26 04:52:34 EST
Package Change Request
======================
Package Name: pkgname
New Branches: EL-4 EL-5 F-11 F-12
Owners: xavierb

Also, please note, that due to my erroneous actions, this package has "Deprecated" status now. This should be fixed as well. Should I add "New Package CVS Request" as well?
Comment 25 Peter Lemenkov 2010-01-26 11:05:32 EST
Please, disregard this request - someone already fixed all this mess :)
Comment 26 Volker Fröhlich 2011-04-29 12:29:31 EDT
Package Change Request
======================
Package Name: xerces-c
New Branches: el6
Owners: volter
InitialCC: jonathanrobie

RHEL6 has no package for PPC, see #696367.
Comment 27 Jason Tibbitts 2011-05-05 11:41:35 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.